Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.xensource.xenapi
Enum Types.NetworkDefaultLockingMode

    java.lang.Object
      java.lang.Enum<Types.NetworkDefaultLockingMode>
          com.xensource.xenapi.Types.NetworkDefaultLockingMode

All Implemented Interfaces:
  Serializable, Comparable<Types.NetworkDefaultLockingMode>

Enclosing class:
  Types

    public static enum Types.NetworkDefaultLockingMode

extends Enum<Types.NetworkDefaultLockingMode>

Enum Constant Summary
`DISABLED` Treat all VIFs on this network with locking_mode = 'default' as if they have locking_mode = 'disabled'
`UNLOCKED` Treat all VIFs on this network with locking_mode = 'default' as if they have locking_mode = 'unlocked'
`UNRECOGNIZED` The value does not belong to this enumeration

Method Summary
`String` | `toString()`
`static Types.NetworkDefaultLockingMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Types.NetworkDefaultLockingMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNRECOGNIZED

    public static final Types.NetworkDefaultLockingMode UNRECOGNIZED

  The value does not belong to this enumeration

### UNLOCKED

    public static final Types.NetworkDefaultLockingMode UNLOCKED

  Treat all VIFs on this network with locking_mode = 'default' as if they have locking_mode = 'unlocked'

### DISABLED

    public static final Types.NetworkDefaultLockingMode DISABLED

  Treat all VIFs on this network with locking_mode = 'default' as if they have locking_mode = 'disabled'

Method Detail

### values

    public static Types.NetworkDefaultLockingMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Types.NetworkDefaultLockingMode c : Types.NetworkDefaultLockingMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Types.NetworkDefaultLockingMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Types.NetworkDefaultLockingMode>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD